[script]
n0=on *:CTCPREPLY:PING*: {
n1=  if (%ping.back == yes) {
n2=    if ($2 !isnum) { halt }
n3=    %ping.reply = $ctime - $2  
n4=    if (%ping.reply > 10000) { halt }
n5=    msg %ping.chan 0,12 PING Reactie $nick :12,8 %ping.reply seconden 0,12 Trivia zit op:  $server 
n6=    unset %ping.reply %ping.back %ping.chan
n7=  }
n8=}
n9=
n10=alias checkauto {
n11=  if ( $day != %lastsetday ) && ( %dailyon == on ) { msg $getread(-s,miscop,trivia.channel) 0,4 Reset van de dag scoren  | set %lastsetday $day | /drstscore }
n12=  if ( $todaydate >= %nextdate ) { msg $getread(-s,miscop,trivia.channel) 0,4 Reset van de week scoren  | set %nextdate $nextdate | /rsetscore }
n13=  if ( $asctime(mmmm) != %lastsetmonth ) { msg $getread(-s,miscop,trivia.channel) 0,4 Reset van de maand scoren  | set %lastsetmonth $asctime(mmmm) | /rstscore }
n14=}
n15=
n16=alias usercap {
n17=  /set %trivusers $nick(%trivchan,0) | /inc %trivusers 10
n18=  if $me isop %trivchan { /mode %trivchan +l %trivusers }
n19=}
n20=
n21=on *:DIALOG:wcols:sclick:*: { if ( $did < 11 ) && ( $did > 1 ) { if $did(wcols,$did).state == 1 { set %cltw $decode($gettok($getread(-s,tokenz,colist),$did,46)) } } | if ( $did < 31 ) && ( $did > 21 ) { if $did(wcols,$did).state == 1 { set %cltwa $decode($gettok($getread(-s,tokenz,colist),$calc($did - 20),46)) } } }
n22=on *:DIALOG:dcols:sclick:*: { if ( $did < 11 ) && ( $did > 1 ) { if $did(dcols,$did).state == 1 { set %cltd $decode($gettok($getread(-s,tokenz,colist),$did,46)) } } | if ( $did < 31 ) && ( $did > 21 ) { if $did(dcols,$did).state == 1 { set %cltda $decode($gettok($getread(-s,tokenz,colist),$calc($did - 20),46)) } } }
n23=on *:DIALOG:mtcols:sclick:*: { if ( $did < 11 ) && ( $did > 1 ) { if $did(mtcols,$did).state == 1 { set %cltm $decode($gettok($getread(-s,tokenz,colist),$did,46)) } } | if ( $did < 31 ) && ( $did > 21 ) { if $did(mtcols,$did).state == 1 { set %cltma $decode($gettok($getread(-s,tokenz,colist),$calc($did - 20),46)) } } }
n24=on *:DIALOG:jpcols:sclick:*: { if ( $did < 11 ) && ( $did > 1 ) { if $did(jpcols,$did).state == 1 { set %cltjp $decode($gettok($getread(-s,tokenz,colist),$did,46)) } } | if ( $did < 31 ) && ( $did > 21 ) { if $did(jpcols,$did).state == 1 { set %cltjpa $decode($gettok($getread(-s,tokenz,colist),$calc($did - 20),46)) } } }
n25=on *:DIALOG:tdcols:sclick:*: { if ( $did < 11 ) && ( $did > 1 ) { if $did(tdcols,$did).state == 1 { set %clttd $decode($gettok($getread(-s,tokenz,colist),$did,46)) } } | if ( $did < 31 ) && ( $did > 21 ) { if $did(tdcols,$did).state == 1 { set %clttda $decode($gettok($getread(-s,tokenz,colist),$calc($did - 20),46)) } } }
n26=on *:DIALOG:wcols:edit:17:  set %cltw $did(wcols,17)
n27=on *:DIALOG:wcols:edit:18:  set %cltwa $did(wcols,18)
n28=on *:DIALOG:dcols:edit:17:  set %cltd $did(dcols,17)
n29=on *:DIALOG:dcols:edit:18:  set %cltda $did(dcols,18)
n30=on *:DIALOG:mtcols:edit:17:  set %cltm $did(mtcols,17)
n31=on *:DIALOG:mtcols:edit:18:  set %cltma $did(mtcols,18)
n32=on *:DIALOG:jpcols:edit:17:  set %cltjp $did(jpcols,17)
n33=on *:DIALOG:jpcols:edit:18:  set %cltjpa $did(jpcols,18)
n34=on *:DIALOG:tdcols:edit:17:  set %clttd $did(tdcols,17)
n35=on *:DIALOG:tdcols:edit:18:  set %clttda $did(tdcols,18)
n36=
n37=
n38=dialog dcols {
n39=  title "Trivbot Advance TOP DAILY Colours Dialog"
n40=  size -1 -1 310 140
n41=  option dbu
n42=  button "Done",14,270 110 30 20,ok
n43=
n44=  icon 1,0 0 100 113, images/daily.bmp
n45=  icon 11,0 0 260 113, images/nick.bmp
n46=
n47=  radio "",2,92 10 10 10,group
n48=  radio "",3,92 20 10 10
n49=  radio "",4,92 31 10 10
n50=  radio "",5,92 41 10 10
n51=  radio "",6,92 51 10 10
n52=  radio "",7,92 62 10 10
n53=  radio "",8,92 73 10 10
n54=  radio "",9,92 83 10 10
n55=  radio "",10,92 94 10 10
n56=
n57=  radio "",22,157 10 10 10,group
n58=  radio "",23,157 20 10 10
n59=  radio "",24,157 31 10 10
n60=  radio "",25,157 41 10 10
n61=  radio "",26,157 51 10 10
n62=  radio "",27,157 62 10 10
n63=  radio "",28,157 73 10 10
n64=  radio "",29,157 83 10 10
n65=  radio "",30,157 94 10 10
n66=
n67=  edit "",17,200 75 30 10
n68=  edit "",18,250 75 30 10
n69=  text "To Select preset COLOUR SCHEMES, click on one Button in each Column.",31,40 110 100 20
n70=  text "To set CUSTOM COLOURS just fill out the 2 Edit Boxes below. Use the above Colour Box as a guide.",32,190 45 100 30
n71=  text "The correct syntax is;                                 Ctrl-K 01 comma 08  ie:  01,08 ",20,190 90 100 20
n72=  ;text "The example 01,08 would produce Colour Scheme #03  ",21,190 125 75 20
n73=  icon 19,165 10 150 35, images/col.bmp
n74=}
n75=
n76=dialog jpcols {
n77=  title "Trivbot Advance JACKPOT Colours Dialog"
n78=  size -1 -1 310 140
n79=  option dbu
n80=  button "Done",14,270 110 30 20,ok
n81=
n82=  icon 1,0 0 100 113, images/topjp.bmp
n83=  icon 11,0 0 260 113, images/nick.bmp
n84=
n85=  radio "",2,92 10 10 10,group
n86=  radio "",3,92 20 10 10
n87=  radio "",4,92 31 10 10
n88=  radio "",5,92 41 10 10
n89=  radio "",6,92 51 10 10
n90=  radio "",7,92 62 10 10
n91=  radio "",8,92 73 10 10
n92=  radio "",9,92 83 10 10
n93=  radio "",10,92 94 10 10
n94=
n95=  radio "",22,157 10 10 10,group
n96=  radio "",23,157 20 10 10
n97=  radio "",24,157 31 10 10
n98=  radio "",25,157 41 10 10
n99=  radio "",26,157 51 10 10
n100=  radio "",27,157 62 10 10
n101=  radio "",28,157 73 10 10
n102=  radio "",29,157 83 10 10
n103=  radio "",30,157 94 10 10
n104=
n105=  edit "",17,200 75 30 10
n106=  edit "",18,250 75 30 10
n107=  text "To Select preset COLOUR SCHEMES, click on one Button in each Column.",31,40 110 100 20
n108=  text "To set CUSTOM COLOURS just fill out the 2 Edit Boxes below. Use the above Colour Box as a guide.",32,190 45 100 30
n109=  text "The correct syntax is;                                 Ctrl-K 01 comma 08  ie:  01,08 ",20,190 90 100 20
n110=  ;text "The example 01,08 would produce Colour Scheme #03  ",21,190 125 75 20
n111=  icon 19,165 10 150 35, images/col.bmp
n112=}
n113=
n114=dialog tdcols {
n115=  title "Trivbot Advance Top Player of Day Colours Dialog"
n116=  size -1 -1 310 140
n117=  option dbu
n118=  button "Done",14,270 110 30 20,ok
n119=
n120=  icon 1,0 0 100 113, images/tpday.bmp
n121=  icon 11,0 0 260 113, images/nick.bmp
n122=
n123=  radio "",2,92 10 10 10,group
n124=  radio "",3,92 20 10 10
n125=  radio "",4,92 31 10 10
n126=  radio "",5,92 41 10 10
n127=  radio "",6,92 51 10 10
n128=  radio "",7,92 62 10 10
n129=  radio "",8,92 73 10 10
n130=  radio "",9,92 83 10 10
n131=  radio "",10,92 94 10 10
n132=
n133=  radio "",22,157 10 10 10,group
n134=  radio "",23,157 20 10 10
n135=  radio "",24,157 31 10 10
n136=  radio "",25,157 41 10 10
n137=  radio "",26,157 51 10 10
n138=  radio "",27,157 62 10 10
n139=  radio "",28,157 73 10 10
n140=  radio "",29,157 83 10 10
n141=  radio "",30,157 94 10 10
n142=
n143=  edit "",17,200 75 30 10
n144=  edit "",18,250 75 30 10
n145=  text "To Select preset COLOUR SCHEMES, click on one Button in each Column.",31,40 110 100 20
n146=  text "To set CUSTOM COLOURS just fill out the 2 Edit Boxes below. Use the above Colour Box as a guide.",32,190 45 100 30
n147=  text "The correct syntax is;                                 Ctrl-K 01 comma 08  ie:  01,08 ",20,190 90 100 20
n148=  ;text "The example 01,08 would produce Colour Scheme #03  ",21,190 125 75 20
n149=  icon 19,165 10 150 35, images/col.bmp
n150=}
n151=
n152=
n153=
n154=dialog wcols {
n155=  title "Trivbot Advance TOP WEEK Colours Dialog"
n156=  size -1 -1 310 140
n157=  option dbu
n158=  button "Done",14,270 110 30 20,ok
n159=
n160=  icon 1,0 0 100 113, images/week.bmp
n161=  icon 11,0 0 260 113, images/nick.bmp
n162=
n163=  radio "",2,92 10 10 10,group
n164=  radio "",3,92 20 10 10
n165=  radio "",4,92 31 10 10
n166=  radio "",5,92 41 10 10
n167=  radio "",6,92 51 10 10
n168=  radio "",7,92 62 10 10
n169=  radio "",8,92 73 10 10
n170=  radio "",9,92 83 10 10
n171=  radio "",10,92 94 10 10
n172=
n173=  radio "",22,157 10 10 10,group
n174=  radio "",23,157 20 10 10
n175=  radio "",24,157 31 10 10
n176=  radio "",25,157 41 10 10
n177=  radio "",26,157 51 10 10
n178=  radio "",27,157 62 10 10
n179=  radio "",28,157 73 10 10
n180=  radio "",29,157 83 10 10
n181=  radio "",30,157 94 10 10
n182=
n183=  edit "",17,200 75 30 10
n184=  edit "",18,250 75 30 10
n185=  text "To Select preset COLOUR SCHEMES, click on one Button in each Column.",31,40 110 100 20
n186=  text "To set CUSTOM COLOURS just fill out the 2 Edit Boxes below. Use the above Colour Box as a guide.",32,190 45 100 30
n187=  text "The correct syntax is;                                 Ctrl-K 01 comma 08  ie:  01,08 ",20,190 90 100 20
n188=  ;text "The example 01,08 would produce Colour Scheme #03  ",21,190 125 75 20
n189=  icon 19,165 10 150 35, images/col.bmp
n190=}
n191=
n192=dialog mtcols {
n193=  title "Trivbot Advance TOP MONTH Colours Dialog"
n194=  size -1 -1 310 140
n195=  option dbu
n196=  button "Done",14,270 110 30 20,ok
n197=
n198=  icon 1,0 0 100 113, images/month.bmp
n199=  icon 11,0 0 260 113, images/nick.bmp
n200=
n201=  radio "",2,92 10 10 10,group
n202=  radio "",3,92 20 10 10
n203=  radio "",4,92 31 10 10
n204=  radio "",5,92 41 10 10
n205=  radio "",6,92 51 10 10
n206=  radio "",7,92 62 10 10
n207=  radio "",8,92 73 10 10
n208=  radio "",9,92 83 10 10
n209=  radio "",10,92 94 10 10
n210=
n211=  radio "",22,157 10 10 10,group
n212=  radio "",23,157 20 10 10
n213=  radio "",24,157 31 10 10
n214=  radio "",25,157 41 10 10
n215=  radio "",26,157 51 10 10
n216=  radio "",27,157 62 10 10
n217=  radio "",28,157 73 10 10
n218=  radio "",29,157 83 10 10
n219=  radio "",30,157 94 10 10
n220=
n221=  edit "",17,200 75 30 10
n222=  edit "",18,250 75 30 10
n223=  text "To Select preset COLOUR SCHEMES, click on one Button in each Column.",31,40 110 100 20
n224=  text "To set CUSTOM COLOURS just fill out the 2 Edit Boxes below. Use the above Colour Box as a guide.",32,190 45 100 30
n225=  text "The correct syntax is;                                 Ctrl-K 01 comma 08  ie:  01,08 ",20,190 90 100 20
n226=  ;text "The example 01,08 would produce Colour Scheme #03  ",21,190 125 75 20
n227=  icon 19,165 10 150 35, images/col.bmp
n228=}
n229=on *:DIALOG:otcols:edit:*: {  if ( $did > 5 ) && ( $did < 14 ) { set % [ $+ [ $gettok($getread(-s,tokenz,otcolist),$calc($did - 5),38) ] ] $did(otcols,$did) }
n230=if ( $did > 19 ) && ( $did < 24 ) { set % [ $+ [ $gettok($getread(-s,tokenz,otcolist),$calc($did - 11),38) ] ] $did(otcols,$did) } }
n231=on *:DIALOG:otcols:sclick:15: if $did(otcols,15).state == 1 { set %onj1 08,12 | set %onj2 12,08 | set %wj 12,08 | set %wjc 4 | set %clqv 12 | set %clqvb 00,04 |  set %clqa 4 |  set %clqb 12 | set %clqvmb 01,13 | set %hcol 2 | set %h2col 2 | set %h3col 14 }
n232=
n233=on *:DIALOG:qcols:sclick:*: if ( $did > 1 && $did < 14 ) { if $did(qcols,$did).state == 1 { set %clq $decode($gettok($getread(-s,tokenz,qcol),$did,46)) } }
n234=on *:DIALOG:qcols:edit:17:  set %clq $did(qcols,17) 
n235=
n236=on *:DIALOG:otcols:init:0:{ 
n237=  var %otcolv 1
n238=  :next4
n239=  if ( %otcolv < 9 ) did -a otcols $calc(%otcolv + 5)  % [ $+ [ $gettok($getread(-s,tokenz,otcolist),%otcolv,38) ] ]
n240=  if ( %otcolv > 14 ) did -a otcols $calc(%otcolv + 5)  % [ $+ [ $gettok($getread(-s,tokenz,otcolist),$calc(%otcolv - 6),38) ] ]
n241=  inc %otcolv 1
n242=  if ( %otcolv == 9 ) { inc %otcolv 6 }
n243=  if ( %otcolv == 19 ) { goto end4 }
n244=  goto next4
n245=  :end4
n246=}
n247=dialog otcols {
n248=  title "Trivbot Advance OTHER Colours Dialog"
n249=  size -1 -1 315 200
n250=  option dbu
n251=  button "Done",14,275 170 30 20,ok
n252=
n253=  icon 1,8 0 300 30, images/status.bmp
n254=  icon 2,20 0 275 100, images/answ.bmp
n255=  icon 3,20 0 275 170, images/join.bmp
n256=  icon 4,30 0 256 320, images/bon.bmp
n257=  icon 5,10 0 100 350, images/col.bmp
n258=  icon 17,10 0 205 280, images/hint2.bmp
n259=  icon 18,10 0 320 360, images/mbon.bmp
n260=  icon 19,10 0 300 240, images/hint.bmp
n261=  edit ""6,110 25 30 10
n262=  edit ""7,185 25 30 10
n263=  edit ""8,70 60 30 10
n264=  edit ""9,145 60 30 10
n265=  edit ""10,215 60 30 10
n266=  edit ""11,70 95 30 10
n267=  edit ""12,215 95 30 10
n268=  edit ""13,235 155 30 10
n269=  edit ""20,235 175 30 10
n270=  edit ""21,235 135 30 10
n271=  edit ""22,100 115 30 10
n272=  edit ""23,190 115 30 10
n273=  check "" 15,20 150 10 10
n274=  text "Reset To Defaults" 16,30 151 50 10
n275=}
n276=
n277=dialog otcols2 {
n278=  title "Trivbot Advance OTHER Colours 2 Dialog"
n279=  size -1 -1 315 155
n280=  option dbu
n281=  button "Done",300,270 120 37 25,ok
n282=
n283=  icon 1,-40 0 300 30, images/jbon.bmp
n284=  icon 2,70 0 300 30, images/qnumb.bmp
n285=  icon 3,7 0 300 100, images/top5w.bmp
n286=  icon 4,7 0 300 190, images/top5m.bmp
n287=
n288=  edit ""10,95 25 30 10
n289=  edit ""11,205 25 30 10
n290=  edit ""12,24 60 30 10
n291=  edit ""13,80 60 30 10
n292=  edit ""14,125 60 30 10
n293=  edit ""15,175 60 30 10
n294=  edit ""16,222 60 30 10
n295=  edit ""17,267 60 30 10
n296=
n297=  edit ""18,24 105 30 10
n298=  edit ""19,80 105 30 10
n299=  edit ""20,125 105 30 10
n300=  edit ""21,175 105 30 10
n301=  edit ""22,222 105 30 10
n302=  edit ""23,267 105 30 10
n303=}
n304=
n305=on *:DIALOG:otcols2:init:0:{ 
n306=  did -a otcols2 10 %oc1
n307=  did -a otcols2 11 %oc2
n308=  did -a otcols2 12 %oc3
n309=  did -a otcols2 13 %oc4
n310=  did -a otcols2 14 %oc5
n311=  did -a otcols2 15 %oc6
n312=  did -a otcols2 16 %oc7
n313=  did -a otcols2 17 %oc8
n314=  did -a otcols2 18 %oc9
n315=  did -a otcols2 19 %oc10
n316=  did -a otcols2 20 %oc11
n317=  did -a otcols2 21 %oc12
n318=  did -a otcols2 22 %oc13
n319=  did -a otcols2 23 %oc14
n320=}
n321=
n322=on *:DIALOG:otcols2:edit:10:  set %oc1 $did(otcols2,10)
n323=on *:DIALOG:otcols2:edit:11:  set %oc2 $did(otcols2,11)
n324=on *:DIALOG:otcols2:edit:12:  set %oc3 $did(otcols2,12)
n325=on *:DIALOG:otcols2:edit:13:  set %oc4 $did(otcols2,13)
n326=on *:DIALOG:otcols2:edit:14:  set %oc5 $did(otcols2,14)
n327=on *:DIALOG:otcols2:edit:15:  set %oc6 $did(otcols2,15)
n328=on *:DIALOG:otcols2:edit:16:  set %oc7 $did(otcols2,16)
n329=on *:DIALOG:otcols2:edit:17:  set %oc8 $did(otcols2,17)
n330=on *:DIALOG:otcols2:edit:18:  set %oc9 $did(otcols2,18)
n331=on *:DIALOG:otcols2:edit:19:  set %oc10 $did(otcols2,19)
n332=on *:DIALOG:otcols2:edit:20:  set %oc11 $did(otcols2,20)
n333=on *:DIALOG:otcols2:edit:21:  set %oc12 $did(otcols2,21)
n334=on *:DIALOG:otcols2:edit:22:  set %oc13 $did(otcols2,22)
n335=on *:DIALOG:otcols2:edit:23:  set %oc14 $did(otcols2,23)
n336=
n337=alias botsettings {
n338=  msg =$nick $id
n339=  msg =$nick 2 Current Trivia Channel:4 %trivchan
n340=  msg =$nick %clq This Is The Current QUESTION Colour Scheme
n341=  msg =$nick %cltw Deze WEEK Top 10:#1:  %cltwa <nick> 200 %cltw #2: %cltwa <nick> 100
n342=  msg =$nick %cltm Deze MAAND Top 10:#1:  %cltma <nick> 200 %cltm #2: %cltma <nick> 100
n343=  msg =$nick %onj1 $+ <nick> $+ 's huidige status :  -> %onj2 $thisw %onj1 <- Punten deze WEEK & -> %onj2 $thism %onj1 <- Punten deze MAAND
n344=  msg =$nick 2 Dit is de huidige%clqv "Vraag Waarde", %clqa "Tijd is om"& %clqb "Antwoord Was" 2 Colours 
n345=  msg =$nick 2  MIN Score Score is:4 %rpv 2 & De MAX Score Waarde is:4 %rpvm
n346=  msg =$nick 2  Bonus Score Settings: %clqvb #1 %bon1 Points 99,99 %clqvb #2 %bon2 Points 99,99 %clqvb #3 %bon3 Points 99,99 %clqvb #4 %bon4 Points 
n347=  if %seeen == $null { set %sp OFF }  | if %seeen == on { set %sp ON } | if %top20 == on { set %top200 ON } | if %top20 == $null { set %top200 OFF }
n348=  msg =$nick 2 SEEN System is 04 %sp  2 Bonus Score System is 4 %bonus  2 Top20 is 4 %top200
n349=  if %voice == true { set %vc Top3 & Top10 Players } | if %voice == $null { set %vc off } | if %voice == auto { set %vc Everybody }
n350=  if %autost == $null { set %ap OFF } | if %autost == on { set %ap ON }
n351=  msg =$nick 2 AutoStart System is 04 %ap 2 AutoVoice System is set to 04 %vc
n352=  if %topsc == on { set %toppp ON } | if %topsc == $null { set %toppp OFF } | if %antitheft == on { set %thief ON } | if %antitheft == $null { set %thief OFF }
n353=  msg =$nick 2 !Top10 & !TopMonth user commands are 4 %toppp 2 AntiTheft is 4 %thief
n354=  if %autorest == on { set %autr ON } | if %autorest == $null { set %autr OFF }
n355=  msg =$nick 2 AUTO Reset Week & Monthly Scores are 4 %autr 2 !Start command is set for 4 %st100
n356=  if %hnt1 == $null { set %hnt1p AUTO } | if %hnt1 == on { set %hnt1p !Hint & !!Hint }
n357=  if %usercp == on { set %limt ON } |  if %usercp == $null { set %limt OFF } 
n358=  if %scrcost == on { set %scrcostp REDUCING } | if %scrcost == $null { set %scrcostp NON Reducing }
n359=  msg =$nick 2 Scores Are Set To: 4 %scrcostp 2 HINT System is set to 4 %hnt1p 2 Channel Limit Feature is4 %limt
n360=  msg =$nick 2 Current DCC UserName:4 %username 2 Current DCC Password:4 %password
n361=  msg =$nick 2 Current Question Time: 4 %tme1 seconds 2 Current Pause Between Each Question 4 %tme2 seconds 
n362=  msg =$nick 12 Current Messages & Colour Scheme;
n363=  msg =$nick 12 #1 %clm %rhype1  
n364=  msg =$nick 12 #2 %clm %rhype2  
n365=  msg =$nick 12 #3 %clm %rhype3 
n366=  msg =$nick 12 #4 %clm %rhype4  
n367=  msg =$nick 12 #5 %clm %rhype5  
n368=  msg =$nick 12 #6 %clm %rhype6  
n369=  msg =$nick 12 #7 %clm %rhype7  
n370=  msg =$nick 12 #8 %clm %rhype8  
n371=  msg =$nick 12 #9 %clm %rhype9  
n372=  msg =$nick $id
n373=}
